lkml.org 
[lkml]   [2020]   [Jan]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: linux-next: build warning after merge of the spi tree
Stephen,

On Wed, Jan 15, 2020 at 11:28 AM Stephen Rothwell <sfr@canb.auug.org.au> wrote:
>
> Hi Jean,
>
> On Wed, 15 Jan 2020 10:10:09 +0100 Jean Pihet <jean.pihet@newoldbits.com> wrote:
> >
> > I did not have this warning, it may be a combination of compiler
> > version and build flags. Do you need a fixup patch for it?
>
> That is up to Mark, really. Unfortunately, Linus will probably get
> this warning during the merge window which he will complain about.

Ok I just sent a fixup patch to Mark (on spi ML). Could it still reach 5.6?

>
> It is really weird, as there are three other references to rx_wlen
> immediately before the one complained about ... so maybe this is a bug
> in the compiler I am using (gcc 9.2.1 from Debian, cross compiler
> ppc64le hosted).
Yes indeed it is weird. Only some compiler versions are throwing the warning.

Thanks,
Jean

>
> --
> Cheers,
> Stephen Rothwell

\
 
 \ /
  Last update: 2020-01-15 12:41    [W:0.039 / U:0.028 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site